%%%---------------------------------------
%%% module      : data_up_power_type
%%% description : 战力提升类型配置
%%%
%%%---------------------------------------
-module(data_up_power_type).
-compile(export_all).




get_up_power_type(unkown) ->
    0;


get_up_power_type(equipment_change) ->
    1;


get_up_power_type(equipment_strength) ->
    2;


get_up_power_type(equipment_rise) ->
    3;


get_up_power_type(equipment_inherit) ->
    4;


get_up_power_type(equipment_active_star) ->
    5;


get_up_power_type(equipment_empower) ->
    6;


get_up_power_type(equipment_compose) ->
    7;


get_up_power_type(mate_be_mate) ->
    8;


get_up_power_type(mate_relieve) ->
    9;


get_up_power_type(mate_boat) ->
    10;


get_up_power_type(activate_fashion) ->
    40;


get_up_power_type(fashion_upgrade_pos) ->
    41;


get_up_power_type(fashion_upgrade) ->
    42;


get_up_power_type(active_dress_up) ->
    68;


get_up_power_type(upgrade_dress_up) ->
    69;


get_up_power_type(upgrade_dress_up_illu) ->
    70;


get_up_power_type(active_dsgt) ->
    72;


get_up_power_type(upgrade_degree) ->
    83;


get_up_power_type(adopt_pet) ->
    84;


get_up_power_type(upgrade_pet) ->
    85;


get_up_power_type(inlay_pet_diamond) ->
    86;


get_up_power_type(support_pet_normal) ->
    87;


get_up_power_type(put_pet_onto_platform) ->
    88;


get_up_power_type(pet_support_login_refresh) ->
    89;


get_up_power_type(pet_support_rank_refresh) ->
    90;


get_up_power_type(child_grow_up) ->
    91;


get_up_power_type(upgrade_link_heart) ->
    92;


get_up_power_type(adopt_child) ->
    93;


get_up_power_type(active_child_skill) ->
    94;


get_up_power_type(upgrade_child_skill) ->
    95;


get_up_power_type(achievement_lv_up) ->
    96;


get_up_power_type(active_child_vehicle) ->
    97;


get_up_power_type(upgrade_child_vehicle) ->
    98;


get_up_power_type(inlay_toy) ->
    99;


get_up_power_type(stren_child_toy) ->
    100;


get_up_power_type(active_fashion) ->
    101;


get_up_power_type(upgrade_child_fashion) ->
    102;


get_up_power_type(toy_return_stren) ->
    103;


get_up_power_type(active_trial_sup_vip) ->
    104;


get_up_power_type(active_child_toy) ->
    105;


get_up_power_type(upgrade_child_toy) ->
    106;


get_up_power_type(awaken_pet) ->
    107;


get_up_power_type(star_up) ->
    108;

get_up_power_type(_Type) ->
    0.

